﻿using Infragistics.Olap.Xmla;

namespace Infragistics.Olap.AdomdClient
{
    public class AdomdConnection : XmlaConnection
    {
        static AdomdConnection()
        {
            OlapComposition commandComposition = new OlapComposition();
            commandComposition.AddOlapPart<AdomdCommand>(typeof(XmlaConnection));
            commandComposition.AddOlapPart<AdomdConnection>();

            OlapContainer<XmlaCommand>.Instance.Register(typeof(AdomdConnection), commandComposition);
        }

        public AdomdConnection(IConnectionSettings settings)
            : base(settings)
        {
        }
    }
}
